Zum Inhalt springen

Kandinsky5

Integrieren

Modell-ID kandinsky5/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kandinsky5/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,08 $ 80 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Sber AI Text zu Video 5–10 s

Standard-Kandinsky 5 Text-zu-Video mit 5s- oder 10s-Clips in 3:2, 1:1 oder 2:3 und anpassbaren Schritten

Sber AI · Video

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich

Textanweisungen zur Steuerung der Video-Generierung.

duration 5 s

Dauer des Ausgabevideos: 5s oder 10s.

aspect_ratio Standard 3:2

Seitenverhältnis des Ausgabevideos: 3:2, 1:1 oder 2:3 auswählen.

Standard 768x512

Aus dem Seitenverhältnis berechnete Videodimensionen: 768x512, 512x512 oder 512x768 im W:H-Format.

Erweitert num_inference_steps · enable_safety_checker
Standard 30

Anzahl der Inferenzschritte.

POST /run/kandinsky5/text-to-video?wait=20 Preis → 0,08 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kandinsky5/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Kandinsky5

Erstellt ein Video aus einem Text-`prompt`. `duration` ist 5s oder 10s, und `aspect_ratio` ist 3:2, 1:1 oder 2:3, passend zu den Auflösungen 768x512, 512x512 und 512x768. `num_inference_steps` reicht von 1 bis 50 (Standardwert 30), wird von der destillierten Variante jedoch nicht angeboten.

Parameter

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
Textanweisungen zur Steuerung der Video-Generierung.
resolutionoptional
Typstring
Standard768x512
Aus dem Seitenverhältnis berechnete Videodimensionen: 768x512, 512x512 oder 512x768 im W:H-Format.
aspect_ratiooptional
Typenum
Standard3:2
3:21:12:3
Seitenverhältnis des Ausgabevideos: 3:2, 1:1 oder 2:3 auswählen.
durationoptional
Typenum
Standard5s
5s10s
Dauer des Ausgabevideos: 5s oder 10s.
num_inference_stepsoptional
Typinteger
Standard30
1 – 50
Anzahl der Inferenzschritte.
enable_safety_checkeroptional
Typboolean
Standardtrue
Die Prüfung kann durch Setzen auf false gelockert werden, sofern der Aufrufer dazu berechtigt ist.
erforderlich

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kandinsky5/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
video
object {url, content_type, file_name, file_size} | nullDurch die Generierung erzeugte Videodatei.

Weitere Modelle: Text zu Video

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/kandinsky5/text-to-video.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt